Update a Notification policy
PUT/accounts/{account_id}/alerting/v3/policies/{policy_id}
Update a Notification policy.
Security
API Token
The preferred authorization scheme for interacting with the Cloudflare API. Create a token.
Example:
API Email + API Key
The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.
Example:
The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.
Example:
Accepted Permissions (at least one required)
Path Parameters
Update a Notification policy
curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/alerting/v3/policies/$POLICY_ID \
-X PUT \
-H 'Content-Type: application/json' \
-H "Authorization: Bearer $CLOUDFLARE_API_TOKEN" \
-d '{
"alert_interval": "30m",
"alert_type": "universal_ssl_event_type",
"description": "Something describing the policy.",
"enabled": true,
"filters": {
"slo": [
"99.9"
]
},
"name": "SSL Notification Event Policy"
}'{
"errors": [
{
"message": "message",
"code": 1000
}
],
"messages": [
{
"message": "message",
"code": 1000
}
],
"success": true,
"result": {
"id": "f174e90afafe4643bbbc4a0ed4fc8415"
}
}Returns Examples
{
"errors": [
{
"message": "message",
"code": 1000
}
],
"messages": [
{
"message": "message",
"code": 1000
}
],
"success": true,
"result": {
"id": "f174e90afafe4643bbbc4a0ed4fc8415"
}
}